DCMTK: DcmFileCache Class Reference

DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Private Member Functions | Private Attributes | List of all members
DcmFileCache Class Reference

This class implements a simple container that stores an input stream, the position of that input stream corresponding to the start of a DICOM element value field contained in the stream and the current "owner" object. More...

## Public Member Functions
| DcmFileCache ()
| default constructor
| ~DcmFileCache ()
| destructor
OFBool | isUser (void *object) const
| checks if the given object is the current user of this cache returns true if so, false otherwise
void | clear ()
| returns object to default constructed state
void | init (DcmInputStream *stream, void *user)
| initializes the file cache with the given stream object and user.
DcmInputStream * | getStream ()
| return input stream
offile_off_t | getOffset () const
| return initial stream offset

## Private Member Functions
| DcmFileCache (const DcmFileCache &arg)
| private undefined copy constructor
DcmFileCache & | operator= (const DcmFileCache &arg)
| private undefined copy assignment operator

## Private Attributes
DcmInputStream * | stream_
| input stream, may be NULL
offile_off_t | offset_
| offset within stream for initial position
const void * | user_
| object that currently uses the file cache, i.e. has created the stream

## Detailed Description

This class implements a simple container that stores an input stream, the position of that input stream corresponding to the start of a DICOM element value field contained in the stream and the current "owner" object.

It is used to keep a single file handle open during multiple calls to DcmElement::getPartialValue(), thus speeding up the reading.

## Constructor & Destructor Documentation

## ◆ DcmFileCache()

DcmFileCache::DcmFileCache | ( | const DcmFileCache & | arg | ) |
| private

private undefined copy constructor

Parameters

  arg | documented to avoid doxygen warnings

References DcmFileCache().

## Member Function Documentation

## ◆ init()

void DcmFileCache::init | ( | DcmInputStream * | stream,
|  | void * | user )
| inline

initializes the file cache with the given stream object and user.

Parameters

  stream | stream object
  user | user object

References clear(), offset_, stream_, and user_.

## ◆ isUser()

OFBool DcmFileCache::isUser | ( | void * | object | ) | const
| inline

checks if the given object is the current user of this cache returns true if so, false otherwise

Parameters

  object | pointer to "user object"

References user_.

## ◆ operator=()

DcmFileCache & DcmFileCache::operator= | ( | const DcmFileCache & | arg | ) |
| private

private undefined copy assignment operator

Parameters

  arg | the cache to copy

References DcmFileCache().

The documentation for this class was generated from the following file:

- dcmdata/include/dcmtk/dcmdata/dcfcache.h

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2